=== packaging/CMakeLists.txt ===
set(CPACK_PACKAGE_NAME                "libserial")
set(CPACK_PACKAGE_CONTACT             "crayzeewulf@gmail.com")
set(CPACK_PACKAGE_VENDOR              "LibSerial developers, testers, users and contibutors")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Linux serial port programming library for C++")
set(CPACK_PACKAGE_INSTALL_DIRECTORY   ${CPACK_PACKAGE_NAME})
set(CPACK_PACKAGE_VERSION_MAJOR       ${PROJECT_VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR       ${PROJECT_VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH       ${PROJECT_VERSION_PATCH})
set(CPACK_VERBATIM_VARIABLES          YES)
set(CPACK_PACKAGE_DESCRIPTION_FILE    "${CMAKE_CURRENT_LIST_DIR}/package_desc.txt")
set(CPACK_RESOURCE_FILE_LICENSE       "${PROJECT_SOURCE_DIR}/LICENSE.txt")
set(CPACK_RESOURCE_FILE_README        "${PROJECT_SOURCE_DIR}/README.md")

set(CPACK_RPM_FILE_NAME RPM-DEFAULT)
set(CPACK_DEBIAN_FILE_NAME DEB-DEFAULT) 

include(CPack)
