=== debian/changelog ===
libserial (1.0.0+git20250903-2) unstable; urgency=medium

  * Mark boost not <nocheck>, needed also for nocheck build
    (Closes: #1116781), thanks Santiago Vila!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Sep 2025 20:22:59 +0200

libserial (1.0.0+git20250903-1) unstable; urgency=medium

  * New upstream version 1.0.0+git20250903
  * Drop patches now part of upstream codebase: {196,197,200}.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 03 Sep 2025 08:18:03 +0200
