=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake

execute_before_dh_auto_clean:
	rm -rf INSTALL docs/doxygen/html docs/build/man debian/doctrees

execute_before_dh_auto_build-indep:
	PYTHONPATH=. sphinx-build -bman docs/user_manual/ -d debian/doctrees docs/build/man

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	if [ -f obj-*/tests/unit_tests ]; then ./obj-*/tests/unit_tests; fi
endif
