=== debian/tests/control ===
Tests: cmake-test
Depends: @, cmake, gcc, g++, build-essential
Restrictions: allow-stderr
